package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EAMLocationDTO]
 */
@Data
public class EAMLocationDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [EAMLOCATIONID]
     *
     */
    @JSONField(name = "eamlocationid")
    @JsonProperty("eamlocationid")
    private String eamlocationid;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [EAMLOCATIONNAME]
     *
     */
    @JSONField(name = "eamlocationname")
    @JsonProperty("eamlocationname")
    private String eamlocationname;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [EAMLOCATIONTYPEID]
     *
     */
    @JSONField(name = "eamlocationtypeid")
    @JsonProperty("eamlocationtypeid")
    private String eamlocationtypeid;

    /**
     * 属性 [PEAMLOCATIONID]
     *
     */
    @JSONField(name = "peamlocationid")
    @JsonProperty("peamlocationid")
    private String peamlocationid;


    /**
     * 设置 [EAMLOCATIONNAME]
     */
    public void setEamlocationname(String  eamlocationname){
        this.eamlocationname = eamlocationname ;
        this.modify("eamlocationname",eamlocationname);
    }

    /**
     * 设置 [EAMLOCATIONTYPEID]
     */
    public void setEamlocationtypeid(String  eamlocationtypeid){
        this.eamlocationtypeid = eamlocationtypeid ;
        this.modify("eamlocationtypeid",eamlocationtypeid);
    }

    /**
     * 设置 [PEAMLOCATIONID]
     */
    public void setPeamlocationid(String  peamlocationid){
        this.peamlocationid = peamlocationid ;
        this.modify("peamlocationid",peamlocationid);
    }


}

