package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EAMLocationStateDTO]
 */
@Data
public class EAMLocationStateDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [EAMLOCATIONSTATEID]
     *
     */
    @JSONField(name = "eamlocationstateid")
    @JsonProperty("eamlocationstateid")
    private String eamlocationstateid;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [EAMLOCATIONSTATENAME]
     *
     */
    @JSONField(name = "eamlocationstatename")
    @JsonProperty("eamlocationstatename")
    private String eamlocationstatename;

    /**
     * 属性 [AVAILABLE]
     *
     */
    @JSONField(name = "available")
    @JsonProperty("available")
    private Integer available;

    /**
     * 属性 [SETUP]
     *
     */
    @JSONField(name = "setup")
    @JsonProperty("setup")
    private Integer setup;


    /**
     * 设置 [EAMLOCATIONSTATENAME]
     */
    public void setEamlocationstatename(String  eamlocationstatename){
        this.eamlocationstatename = eamlocationstatename ;
        this.modify("eamlocationstatename",eamlocationstatename);
    }

    /**
     * 设置 [AVAILABLE]
     */
    public void setAvailable(Integer  available){
        this.available = available ;
        this.modify("available",available);
    }

    /**
     * 设置 [SETUP]
     */
    public void setSetup(Integer  setup){
        this.setup = setup ;
        this.modify("setup",setup);
    }


}

