package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EAMLocationStateModelLineDTO]
 */
@Data
public class EAMLocationStateModelLineDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [EAMLOCATIONSTATEMODELLINEID]
     *
     */
    @JSONField(name = "eamlocationstatemodellineid")
    @JsonProperty("eamlocationstatemodellineid")
    private String eamlocationstatemodellineid;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [EAMLOCATIONSTATEMODELLINENAME]
     *
     */
    @JSONField(name = "eamlocationstatemodellinename")
    @JsonProperty("eamlocationstatemodellinename")
    private String eamlocationstatemodellinename;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [EAMLOCATIONSTATEMODELID]
     *
     */
    @JSONField(name = "eamlocationstatemodelid")
    @JsonProperty("eamlocationstatemodelid")
    private String eamlocationstatemodelid;

    /**
     * 属性 [EAMLOCATIONSTATEID]
     *
     */
    @JSONField(name = "eamlocationstateid")
    @JsonProperty("eamlocationstateid")
    private String eamlocationstateid;


    /**
     * 设置 [EAMLOCATIONSTATEMODELLINENAME]
     */
    public void setEamlocationstatemodellinename(String  eamlocationstatemodellinename){
        this.eamlocationstatemodellinename = eamlocationstatemodellinename ;
        this.modify("eamlocationstatemodellinename",eamlocationstatemodellinename);
    }

    /**
     * 设置 [EAMLOCATIONSTATEMODELID]
     */
    public void setEamlocationstatemodelid(String  eamlocationstatemodelid){
        this.eamlocationstatemodelid = eamlocationstatemodelid ;
        this.modify("eamlocationstatemodelid",eamlocationstatemodelid);
    }

    /**
     * 设置 [EAMLOCATIONSTATEID]
     */
    public void setEamlocationstateid(String  eamlocationstateid){
        this.eamlocationstateid = eamlocationstateid ;
        this.modify("eamlocationstateid",eamlocationstateid);
    }


}

